"use strict";

/*
	Fire Bootstrap

	Adds Bootstrap to the project it is called within.

	Author:	Liam Howell <lhowell@mobiquityinc.com>
	Since:	10-24-2014
*/

// --------------------------------------------------------------------- Imports

var yeoman = require("yeoman-generator");
var gruntFileEditor = require("gruntfile-editor");
var chalk = require("chalk");

// ----------------------------------------------------------------- Main action

module.exports = yeoman.generators.Base.extend({

	constructor: function () {
		// Call the super constructor.
		yeoman.generators.Base.apply(this, arguments);

		if (arguments && arguments[0]) {
			var configJSON = JSON.parse(arguments[0]);
			this.config.set("project_config", configJSON);
		}

		
	},

	install: {
		installBootstrap: function () {
			var done = this.async();
			this.log("Installing latest Bootstrap...");

			// Retrieve the exiting gruntfile or make a new one.
			// TODO the same thing for gulp?
			if (this.config.get("project_config").build_system === "grunt") {
				this.log(this.sourceRoot());
				// Get the gruntfile.
				// var gruntFileContent = this.src.read('Gruntfile.js'); 
				// this.log(gruntFileContent);
				// // ..., pass it to the GruntfileEditor and overwrite his.env.gruntfile 
				// this.env.gruntfile = new GruntfileEditor(gruntFileContent);

				// // then I use the GruntfileEditor API to programmatically add tasks
				// this.gruntfile.insertConfig('watch', "......"); 
				// this.gruntfile.insertConfig('clean', "......");
			}


			// bower.commands
			// .install(["bootstrap"], { exclude: "bower_components/jquery/dist/jquery.js" })
			// .on("end", function () {
			// 	console.log("Latest Bootstrap successfully installed.");
				done();
			// });
		}
		
	}


});
